CentOS7でPassenger5.2.0が動かない

Redmine(3.4)をインストール中にはまりました。
Ruby2.4.3をいれてgem installでPassengerを入れて……で、最後まで来て動かない。
passenger-statusコマンドで確認すると、Passengerが動いていないことが分かる。

どうも5.2.x系から変化があったようでWebで検索すると色々出てくるんだけど、
PrivateTmp をtrueにしても何をしても解決しなかったので

gem install passenger –no-rdoc –no-ri -v “5.1.5”

で古いバージョンを入れて動かすことにしました。これが結局一番早かった。

広告

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト /  変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト /  変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト /  変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト /  変更 )

%s と連携中